package m05bSolicitudReserva_FirmaEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bSolicitudReserva_Firma;

/**
 * This is the Remote Interface for the Entity EJB <tt>M05SolicitudReserva_FirmaEB</tt>.
 *
 * @see     m05.exe.SolicitudReserva_Firma
 * @see     m05.exe.M05SolicitudReserva_FirmaEBHome
 * @see     m05.exe.M05SolicitudReserva_FirmaEBPK
 * @see     m05.exe.M05SolicitudReserva_FirmaEBBean
 */

public interface m05SolicitudReserva_Firma extends EJBObject {

  public Integer getCodAsignacion()throws RemoteException;
  public void setCodAsignacion(Integer n)throws RemoteException;

  public String getTipoFirma()throws RemoteException;
  public void setTipoFirma(String n)throws RemoteException;
  
  public String getCodFirmante()throws RemoteException;
  public void setCodFirmante(String n)throws RemoteException;

  public String getDni()throws RemoteException;
  public void setDni(String n)throws RemoteException;
  
  public String getNombre_apellidos()throws RemoteException;
  public void setNombre_apellidos(String n)throws RemoteException;
  
  public byte[] getDocumento()throws RemoteException;
  public void setDocumento(byte[] n)throws RemoteException;
  
  public byte[] getFirma()throws RemoteException;
  public void setFirma(byte[] n)throws RemoteException;
  
  public String getFechaFirma()throws RemoteException;
  public void setFechaFirma(String n)throws RemoteException;

  public String getOid_dokusi()throws RemoteException;
  public void setOid_dokusi(String oid_dokusi)throws RemoteException;

  /**
   * Returns the SolicitudReserva_Firma information of this E-EJB.
   */
  public m05bSolicitudReserva_Firma getSolicitudReserva_Firma()
  	throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException
   *
   */
/*  public void setSolicitudReserva_Firma(SolicitudReserva_Firma SolicitudReserva_Firma)
    throws RemoteException, Exception;    */
}